std::ranges::elements_of< _Range, _Alloc > Struct Template Reference
Ranges

`#include <elements_of.h>`

## Public Attributes

_Alloc | allocator
_Range | range

## Detailed Description

template<range _Range, typename _Alloc = allocator<byte>>
struct std::ranges::elements_of< _Range, _Alloc >

Since
  C++23

Definition at line 58 of file elements_of.h.

## Member Data Documentation

## allocator

template<range _Range, typename _Alloc = allocator<byte>>

_Alloc std::ranges::elements_of< _Range, _Alloc >::allocator

Definition at line 61 of file elements_of.h.

## range

template<range _Range, typename _Alloc = allocator<byte>>

_Range std::ranges::elements_of< _Range, _Alloc >::range

Definition at line 60 of file elements_of.h.

The documentation for this struct was generated from the following file:

- elements_of.h